@import '../../../assets/styles/common';

.link-accounts {
  &__header {
    display: flex;
    padding: 0;
    border-bottom: 1px solid #424268;
    font-style: Italic;
    font-size: 3.5rem;
    text-align: left;
  }

  &-subheading {
    position: relative;
    margin: 10px 0 0;
    padding: 1.5rem 1.5rem 1.5rem 7.5rem;
    border-radius: 1rem;
    font-style: italic;
    font-size: 1.4rem;
    text-align: left;
    background-color: $profile-connection-background;
    opacity: 0.8;
    letter-spacing: 0;

    &::before {
      content: '';
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top:0;
      left: 0;
      width: 5rem;
      height: 100%;
      border-radius: 1rem 0 0 1rem;
      background-color: $darker-gray;
      background-image: url('../../../assets/images/idea.svg');
      background-position: center;
      background-repeat: no-repeat;
      background-size: 3.2rem;
    }
  }

  &__card {
    width: 50%;
    max-width: 96rem;
    min-height: 50rem;
    margin-top: 6.7rem;
    margin-bottom: 5rem;
    padding: 7.6rem;
    border: 2px solid $white;
    border-radius: 2.5rem;
    background-image: $profile-gradient;
  }

  &__wrapper {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-content: center;
    width: 100%;
  }

  &__content {
    width: 100%;
    padding: 3rem;
    border-radius: 1rem;
    background: $profile-connection-background 0% 0% no-repeat padding-box;
    opacity: 1;

    &-header {
      position: relative;
      margin: 0;
      font-style: italic;
      font-size: 1.4rem;
      text-align: left;
      opacity: 0.8;
      letter-spacing: 0;
    }

    &-body {
      @extend .link-accounts__content-header;

      font-size: 2.3rem;
      opacity: 1;
    }

    &-icon {
      margin: 2rem 2rem 0 0;
      cursor: pointer;
    }
  }

  &__connection {
    display: flex;
    align-items: center;
    position: relative;
    width: 100%;
    margin: 3rem 0;
    padding: 3rem;
    border: 4px solid $profile-border;
    border-radius: 1rem;
    background: $profile-connection-background 0% 0% no-repeat padding-box;
    opacity: 1;

    &-wrapper {
      width: 100%;
    }

    &-user {
      @extend .link-accounts__content-header;

      width: 95%;
      font-size: 2.6rem;
      opacity: 1;
      overflow-wrap: break-word;
    }

    &-label {
      @extend .link-accounts__content-header;

      font-size: 1.7rem;
    }

    &-icon {
      width: 3.9rem;
      height: 3.9rem;
      margin-right: 2rem;
    }

    &-close {
      width: 1.8rem;
      height: 1.8rem;
      margin: -1.5rem;
      background-image: url('../../../assets/images/profile/close_white.png');
      background-repeat: no-repeat;
      background-size: 1.8rem;
      cursor: pointer;

      &:hover {
        background-image: url('../../../assets/images/profile/close_grey.png');
        background-repeat: no-repeat;
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    &__content {
      &-header {
        font-size: 1.6rem;
      }

      &-icon {
        margin-right: 0;

        img {
          width: 6rem;
        }
      }
    }

    &__header {
      & > div {
        font-size: 2.5rem;
      }
    }

    &__card {
      min-width: 75rem;
      padding: 4rem;
    }
  }
}
